/*
* Prefixed by:
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 4 version
*/

*::before,
*::after,
* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}


/* root */
:root {
  --grau: #141414;
  --rot: #D26D6C;
  --weiss: #FFFFFF;
  --hell: #E2E3E1;
}

body {
  font-family: 'Lato', sans-serif;
}

h1 {
  font-family: 'Playfair Display', serif;
  font-size: calc(100% + 3vw);
  font-family: 'Playfair Display', serif;

  color: var(--weiss);
  font-weight: 300;
  padding: 0 0 1rem 0;
}

h2 {
  font-size: calc(100% + 0.3vw);
  font-weight: 400;
  color: var(--rot);
  font-style: italic;

}


h4 {
  font-size: calc(100% + 0.5vw);
  color: var(--rot)
}

h5 {
  font-size: calc(100% + 0.3vw);
  color: var(--weiss);
  font-weight: 300;
  padding: 1rem 0;
}



p {
  color: var(--weiss);
  font-size: calc(100% + 0.2vw);
  line-height: 2rem;
  font-weight: 300;
}

a {
  text-decoration: none;
}



/* navigation */
.main-nav {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;

  height:100px;
  position: fixed;
  top:0;
  right:0;
  left:0;
  -webkit-transition: -webkit-transform .25s .1s ease-in-out;
  transition: -webkit-transform .25s .1s ease-in-out;
  -o-transition: transform .25s .1s ease-in-out;
  transition: transform .25s .1s ease-in-out;
  transition: transform .25s .1s ease-in-out, -webkit-transform .25s .1s ease-in-out;
  background-color: var(--weiss);
  color: var(--grau);
  z-index: 100000;
}

.main-nav ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
  list-style: none;
  padding: 2rem 2rem 0 2rem;
}

.main-nav .ul-logo {
  position: absolute;
  right: 0;
  -webkit-transform: translateX(70%);
      -ms-transform: translateX(70%);
          transform: translateX(70%);
  padding-top: 1rem;
}

.main-nav ul img {
  width: 15%;

}

.main-nav li {
  padding: 0 3rem 0 0;
}

.main-nav a {
  text-decoration: none;
  color: var(--grau);
  text-transform: uppercase;
  font-weight: 400;
}

a:is(:link, :active, :visited).active {
  padding: 1rem 2rem;
  background-color: var(--white);
  color: var(--gray);
}




.burger div{
  width: 1.8rem;
  height: 0.15rem;
  border-radius: 1rem;
  margin: 0.5rem;
  background-color: var(--grau);
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

.burger {
  padding: 0.6rem 0 0.6rem 1rem;
  display: none;
  z-index: 10000;
  position: fixed;
  top: 0;
  width: 100%;
  background-color: var(--weiss);
}

.down .main-nav {
  -webkit-transform: translate3d(0, -100px, 0);
          transform: translate3d(0, -100px, 0);

}



/* hero */
.main-hero {
  background-image: url("../00_bilder/00_hero/hintergrund.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  height: 100vh;

  position: relative;
}

.content-hero {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding-top: 130px;
}

.hero-text{
  width: 80%;
  color: var(--weiss);
  font-weight: 300;
  margin-left: 10rem;
}

.hero-text h2 {
  padding: 0 0 6px 0;
}

.hero-text p{
  margin-top: 0.5rem;
}

.hero-text button {
  align-self: center;
  padding: 1.5rem 2rem;
  margin-top: 8rem;
  background-color: var(--rot);
  border: none;
  color: var(--weiss);
  font-size: calc(100% + 0.3vw);
  font-style: uppercase;
  cursor: pointer;
  border-radius: 15rem;
}

.hero-text button:hover {
font-size: calc(100% + 0.4vw);
}

.hero-img {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.hero-img  img{
  width: 20%;
}


/* produkt */
.main-produkt {
  background-color: var(--grau);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;

  padding-top: 6rem;
}

.einleitung-produkt {
  display: flex;
  flex-direction: row;
  width: 80%;
  margin: 0 auto;
  margin-bottom: 7rem;
  gap: 3rem;

}

.produkt-text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  width: 50%;
  margin: 0 auto;
  padding-bottom: 6rem;
}

.produkt-bild {
  width: 50%;
}

.produkt-bild img {
  width: 100%;
  margin-top: 20%;
}

.produkt-text img {
  width: 3rem;
  margin: 0 auto;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.freepik {
  position: absolute;
  right: 0;
  -webkit-transform: rotate(-90deg);
      -ms-transform: rotate(-90deg);
          transform: rotate(-90deg);
  color: var(--hell);
  font-size: calc(50% + 0.2vw);

}


/* gallerie */
.main-galerie {
  background-color: var(--grau);
}
.big-gallery {
  display: flex;
  justify-content: center;
}
.gallery-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin: 10px;
  width: 80%;
}

.gallery-item {
  margin: 10px;
  flex-basis: calc(20% - 20px);
  cursor: pointer;
}

.gallery-img {
  width: 100%;
  height: auto;
  border-radius: 5px;
  transition: transform 0.3s;
}

.gallery-img:hover {
  transform: scale(1.05);
}

/* Lightbox-Styling */
.lightbox {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  justify-content: center;
  align-items: center;
}

.lightbox-content {
  max-width: 80%;
  max-height: 80%;
  border-radius: 5px;
}

.close {
  position: absolute;
  top: 20px;
  right: 30px;
  color: white;
  font-size: 40px;
  cursor: pointer;
}

.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 40px;
  user-select: none;
}

.prev {
  left: 0;
}

.next {
  right: 0;
}

.prev:hover, .next:hover {
  color: #ddd;
}

@media (max-width: 768px) {
  .gallery-item {
      flex-basis: calc(50% - 20px);
  }
}

@media (max-width: 480px) {
  .gallery-item {
      flex-basis: calc(50% - 20px);
  }
  .gallery-container {
    width: 90%;
  }
  #mobile-no {
    display: none;
  }
}





/* produkt bilder */

.produkt-bilder {
  width: 80%;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 3rem 1fr 3rem 1fr 3rem 1fr;
  grid-template-columns: 1fr 1fr 1fr 1fr ;
  margin: 0 auto;
  margin-top: 10%;
  gap: 3rem;
}

.produkt-bilder .bilder {
  width: 100%;
}

.bilder p {
  text-align: center;
  padding-top: 1rem;
}

.bilder img {
  width: 100%;
}

.slogan {
  
  font-weight: 400;
  font-style: italic;
  margin: 0 auto;
  padding: 5rem 0 0rem 0;
  font-family: 'Playfair Display', serif;
}

.slogan h3 {
  font-size: calc(100% + 0.1rem);
  color: var(--grau);
  margin-top: 6rem;
}

/* rezepte */
.rezepte {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;

  padding-top: 6rem;
}

.rezepte-text h1 {
  color: var(--grau);
  text-align: center;
}

.rezepte p {
  color: var(--grau);
  width: 80%;
  margin: 0 auto;
  text-align: center;
}





/* holunder */

.holunder-bilder {
  width: 70%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  margin: 0 auto;
  gap: 3rem;
  padding-bottom: 6rem;
}

.holunder-bilder .bilder {
  width: 33.666677%;
}


.main-holunder {
  background-color:var(--hell);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;

  padding-top: 6rem;
}

.holunder-text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  width: 60%;
  margin: 0 auto;
  text-align: center;
  padding-bottom: 6rem;
}

.holunder-text h1, .holunder-text p {
  color: var(--grau);
}

.holunder-text img {
  width: 5rem;
  margin: 0 auto;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

/* ueber uns */

.main-ueber-uns {
  background-color: var(--grau);

  padding-top: 6rem;
}

.ueber-uns-text{
  width: 60%;
  margin: 0 auto;
  text-align: center;
  padding-bottom: 6rem;
}

.ueber-uns-text h1 {
  padding: 2rem 0;
}

.ueber-uns-text img {
  width: 5rem;
  margin: 0 auto;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

/* ueber uns portait */

.ueber-uns-bilder {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  width: 80%;
  gap: 3rem;
  margin: 0 auto;
  padding-bottom: 6rem;
}

.ueber-uns-cards img{
  width: 100%;
  padding-bottom: 2rem;
}

.ueber-uns-cards{
  text-align: center;
}

.ueber-uns-cards p {
  font-style: italic;
}


/* herstellung */
.main-herstellung {
  background-color: var(--hell);
}

.main-herstellung h1, .main-herstellung p {
  color: var(--grau);
}

.main-herstellung h1 {
  padding-bottom: 3rem;
}

.herstellung-anordnung {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  width: 100%;
}

.herstellung-anordnung-text img {
  width: 5rem;
  margin: 0 auto;
  padding-bottom: 2rem;
}

.herstellung-anordnung-text {
  width: 50%;
  padding: 5rem 5rem 0 5rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.herstellung-anordnung-text p {
  padding-bottom: 5rem;
}

.herstellung-anordnung-bild {
  width: 50%;
}

.herstellung-anordnung-bild img{
  width: 100%;
}

.lese-mehr {
  cursor: pointer;
}

.lese-mehr p {
  text-transform: uppercase;
  color: var(--rot);
  padding-bottom: 0;
  text-decoration: none;
}

.lese-mehr .pfeil-eins, .lese-mehr .pfeil-zwei {
  background-color: var(--rot);
  margin: 0 auto;
  height: 0.1rem;
  width: 2rem;
}

.pfeil-eins {
  -webkit-transform: rotate(45deg) translate(-1rem, 0rem);
      -ms-transform: rotate(45deg) translate(-1rem, 0rem);
          transform: rotate(45deg) translate(-1rem, 0rem);
}

.pfeil-zwei {
  -webkit-transform: rotate(-45deg) translate(1rem, -0.05rem);
      -ms-transform: rotate(-45deg) translate(1rem, -0.05rem);
          transform: rotate(-45deg) translate(1rem, -0.05rem);
}

/* kunden */
.main-kunden{
  background-color: var(--grau);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;

  padding-top: 6rem;
}

.kunden-text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  width: 60%;
  margin: 0 auto;
  text-align: center;
  padding-bottom: 6rem;
}

.kunden-text img {
  width: 5rem;
  margin: 0 auto;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

/* kunden lieferanten */

.kunden-anordnung {
  width: 80%;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 1fr 1fr;
  grid-template-columns: 1fr 1fr 1fr;
  row-gap: 4rem;
  margin: 0 auto;
}

.kunden-cards{
  width: 80%    ;
  margin: 0 auto;
  text-align: center;

  padding-bottom: 2rem;
}

.kunden-cards img{
  width: 70%;
}

.kunden-cards a{
  color: var(--rot);
  cursor: pointer;
  -webkit-transition: 300ms;
  -o-transition: 300ms;
  transition: 300ms;
} 

.kunden-cards a:hover{
  color: var(--rot);
  opacity: 0.8;
}


/* kontakt */
.main-kontakt{
  background-image: url("../00_bilder/05_kontakt/DSC_0059.jpg");
  background-size: cover;
  background-repeat: no-repeat;

  min-height: 100vh;
}

.kontakt-text {
  background-color: var(--hell);
  width: 45%;
  min-height: 100vh;
}

.kontakt-text img {
  width: 4rem;
  margin: 0 auto;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.kontakt-bestellung h1, .kontakt-lieferung h1, .kontakt-bestellung p, .kontakt-lieferung p {
  color: var(--grau);
}

.kontakt-bestellung, .kontakt-lieferung {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  padding-top: 4rem ;
}

.kontakt-bestellung p, .kontakt-lieferung p {
  -ms-flex-item-align: start;
      align-self: flex-start;
  padding: 3rem 0 0 4rem;
}

.kontakt-lieferung {
  padding-bottom: 4rem;
}

/* footer */
.main-footer{
  background-color: var(--grau);

  display: -webkit-box;

  display: -ms-flexbox;

  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

.footer-logo{
  width: 30%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding-top: 2rem;
}

.footer-logo img{
  width: 50%;
}

.footer-logo p {
  padding-bottom: 2rem;
}

.social-media{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding-top: 2rem;
  padding-bottom: 2rem;

  color: var(--weiss);
  gap: 1rem;
  font-size: calc(100% + 0.2rem);
}

.footer-navigation, .footer-kontakt {
  padding-top: 5%;
}

.footer-kontakt{
  padding-right: 20%;
}

.footer-navigation li{
  text-transform: uppercase;
}

.main-footer h3{
  color: var(--weiss);
  font-size: calc(100% + 0.5rem);
}

.main-footer li, .main-footer a {
  color: var(--weiss);
  text-decoration: none;
}

.main-footer li {
  list-style: none;
  font-weight: 300;
  padding-top: 1rem;
}

/* impressum */
.impressum {
  padding-top: 12rem;
  padding-left: 8rem;
}

.impressum h2 {
  padding-top: 4rem;
  font-size: calc(1.5rem);
}

